> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/inquiry-status.md).

# Inquiry Status

* Relative URL : **/account/api/inquiry\_status/< virtual\_account >/< trx\_no >/< trx\_id >**

  \*trx\_id optional, if inquiry without trx\_id, use this :

  : **/account/api/inquiry\_status/< virtual\_account >/< trx\_no >**

And also need to create a **signature** and use the **request header**.

## Inquiry Payment Status

<mark style="color:blue;">`GET`</mark> `/account/api/inquiry_status/{virtual_account}/{trx_no}/{trx_id}`

This service is used by users/partner to used to check the payment status/fund transfer status of the user/partner to the fund recipient's account

\*trx\_id optional, if inquiry without trx\_id, use this :

**/account/api/inquiry\_status/< virtual\_account >/< trx\_no >**

`*` means the parameter is required&#x20;

#### Response Body

<table><thead><tr><th width="273">Parameter</th><th>Data Type</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account<mark style="color:red;">*</mark></td><td>Number</td><td>VA partner</td></tr><tr><td>beneficiary_virtual_account<mark style="color:red;">*</mark></td><td>Number</td><td>VA number of beneficiary account</td></tr><tr><td>beneficiary_account<mark style="color:red;">*</mark></td><td>Number</td><td>Account number of VA receiver</td></tr><tr><td>beneficiary_name</td><td>String</td><td>Account number name</td></tr><tr><td>beneficiary_bank_code<mark style="color:red;">*</mark></td><td>Number</td><td>Beneficiary bank code</td></tr><tr><td>beneficiary_bank_name<mark style="color:red;">*</mark></td><td>String</td><td>Beneficiary bank name</td></tr><tr><td>trx_id<mark style="color:red;">*</mark></td><td>Integer</td><td>Trx ID of transfer</td></tr><tr><td>trx_no<mark style="color:red;">*</mark></td><td>String</td><td>Transaction number from partner</td></tr><tr><td>trx_date<mark style="color:red;">*</mark></td><td>Datetime</td><td>Format Datetime (YYYY-MM-DD H:i:s)</td></tr><tr><td>trx_amount<mark style="color:red;">*</mark></td><td>Integer</td><td>Total amount, ex : 10.000 -> 1000000</td></tr><tr><td>trx_desc<mark style="color:red;">*</mark></td><td>String</td><td>Description of transaction</td></tr><tr><td>trx_reff<mark style="color:red;">*</mark></td><td>String</td><td>Reference of transaction number on system disbursement</td></tr><tr><td>callback_url</td><td>String</td><td>URL for callback/notification, used if the partner wants the system to notify the partner.</td></tr><tr><td>trx_status_date<mark style="color:red;">*</mark></td><td>Datetime</td><td>Transaction of success date, format datetime (YYYY-MM-DD H:i:s)</td></tr><tr><td>bank_response_code<mark style="color:red;">*</mark></td><td>Integer</td><td>Response code for the transaction from the bank</td></tr><tr><td>bank_response_msg<mark style="color:red;">*</mark></td><td>String</td><td>Response message of trx from bank</td></tr><tr><td>status<mark style="color:red;">*</mark></td><td>Integer</td><td>Status of transaction:<br>1 = On Process<br>2 = Success<br>4 = Failed<br>5 = Reverse</td></tr><tr><td>message<mark style="color:red;">*</mark></td><td>String</td><td>Info status transaction</td></tr><tr><td>response_code<mark style="color:red;">*</mark></td><td>Integer</td><td>Response code from bank (00 = success)</td></tr><tr><td>response_desc<mark style="color:red;">*</mark></td><td>String</td><td>Response desc from bank</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "virtual_account": "9920017573",
    "beneficiary_virtual_account": "9920064307",
    "beneficiary_account": "9998877766",
    "beneficiary_name": "Felicia",
    "beneficiary_bank_code": "022",
    "beneficiary_bank_name": "BANK NIAGA (CIMB)",
    "trx_id": 123456,
    "trx_no": "noffri_20220725T160722",
    "trx_date": "2019-07-01 15:10:00",
    "trx_amount": 4000000,
    "trx_desc": "Transfer trx",
    "trx_reff": "l-NI83mPsRKW4lGtk5iD_1658741480399163",
    "callback_url": "",
    "trx_status_date": "2022-08-08 16:05:26",
    "bank_response_code": "2",
    "bank_response_msg": "Success",
    "status": "2",
    "message": "Success",
    "response_code": "00",
    "response_desc": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/inquiry-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
